import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class MasterMind {
	// Variables important to the functionality of the program
	private static int WINDOW_WIDTH = 651;
	private static int WINDOW_HEIGHT = 325;
	static boolean cheat;

	public static void main(String[] args) {
		if (args.length > 0)
			if (args[0].equals("-c"))
				cheat = true;
			else
				cheat = false;
		final MastermindGUI jFrame = new MastermindGUI(cheat); // Main frame
		jFrame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		jFrame.pack();
		jFrame.setSize(WINDOW_WIDTH, WINDOW_HEIGHT);
		jFrame.setTitle("Mastermind");
		jFrame.setVisible(true);
	}
}